/** \brief XQSplashScreen class header file
	\file XQSplashScreen.h
	\version 0.1
	\author Chritophe SAUVEUR <christophe@xhaleera.com>
	
	Source code released under the terms of the GNU GPL v2.
	See license.txt or connect to http://www.gnu.org/licenses/gpl.txt for more
	information.
*/

#ifndef XQSPLASHSCREEN_H
#define XQSPLASHSCREEN_H

#include <QSplashScreen>
#include <QWidget>
#include <QPixmap>

class XQSplashScreen : public QSplashScreen
{
	Q_OBJECT
	
	public:
		XQSplashScreen(const QPixmap& pixmap = QPixmap(), unsigned int minimalDisplayDuration = 0, Qt::WindowFlags f = 0);
		XQSplashScreen(QWidget *parent = 0, const QPixmap& pixmap = QPixmap(), unsigned int minimalDisplayDuration = 0, Qt::WindowFlags f = 0);
		
		void delayedFinish(QWidget *next = 0);
	
	private:
		QWidget *nextWidget;
		bool timerFired;
		
		void init(unsigned int minimalDisplayDuration);
		
	private slots:
		void finish(void);
};

#endif // XQSPLASHSCREEN_H
